[Overview][Types][Classes][Index] | Reference for unit 'PropertyStorage' (#lcl)

# TCustomPropertyStorage.ReadStrings

Reads a list of strings stored with a Count value.

## Declaration

Source position: propertystorage.pas line 156

`public procedure TCustomPropertyStorage.ReadStrings(`
`const Ident: string;`
`const List: TStrings;`
`const DefaultList: TStrings = Nil`
`);`

## Arguments

`Ident` |  | The name of the list property.
`List` |  | The list to which the strings are added.
`DefaultList` |  | A list of default values, used when nothing was stored yet.